#

## shell

Execute a command in a UNIX subshell

### Usage:

> shell [command]

> > where command is a valid UNIX command-line command.

### Summary:

> The shell command allows UNIX commands to be executed from the magic command line. This use is superceded by the Tcl interpreter, which executes shell commands directly from the interpreter prompt. Differences between the two uses is noted below.

### Implementation Notes:

> shell is implemented as a built-in command in magic. This is similar to the Tcl interpreter execution of shell commands directly from the Tcl command-line. The primary difference is that results from the shell interpreter are printed to the calling terminal with shell, and are printed to the console when invoked directly from Tcl. For example, note the difference in the output target for:

> > ls -l

> > vs.
> > shell ls -l

Return to command index

Last updated: March 7, 2020 at 1:06pm